import { TruckState } from "../TruckState";
import { InRepairState } from "./InRepairState";
import { InRunState } from "./InRunState";

export class InBaseState extends TruckState {
    public name: string = 'На базе';

    public changeDriver(): void {
        console.log('Водитель поменян успешно');
    };

    public startRun(): void {
        this.truck.changeState(new InRunState());
        console.log('Грузовик успешно выдвинулся в путь');
    };

    public startRepair(): void {
        this.truck.changeState(new InRepairState());
        console.log('Грузовик успешно отправился на починку');
    };
};